package com.ruoyi.web.calculate.domain;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.format.annotation.NumberFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

public class CmcUTMBandChange extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 待求点号 */
    @Excel(name = "待求点")
    private String pointNumber;

    /** 坐标系 */
    @Excel(name = "坐标系")
    private String coordinateSystem;

    /** UTM坐标x */
    @Excel(name = "UTM坐标x", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double utmX;

    /** UTM坐标y */
    @Excel(name = "UTM坐标y", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double utmY;

    /** 带号 */
    @Excel(name = "带号", cellType = ColumnType.NUMERIC)
    private double band;

    /** 新带号 */
    @Excel(name = "新带号", cellType = ColumnType.NUMERIC)
    private double newBand;

    /** 经度位置 */
    @Excel(name = "经度位置")
    private String longitudePosition;

    /** 纬度位置 */
    @Excel(name = "纬度位置")
    private String latitudePosition;

    /** 新UTM坐标x */
    @Excel(name = "新UTM坐标x", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double newUtmX;

    /** 新UTM坐标y */
    @Excel(name = "新UTM坐标y", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double newUtmY;

    /** 投影面高程 */
    @Excel(name = "投影面高程", cellType = ColumnType.NUMERIC)
    private double projectionHeight;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPointNumber(String pointNumber) {
        this.pointNumber = pointNumber;
    }

    public String getPointNumber() {
        return pointNumber;
    }

    public void setCoordinateSystem(String coordinateSystem) {
        this.coordinateSystem = coordinateSystem;
    }

    public String getCoordinateSystem() {
        return coordinateSystem;
    }

    public void setLongitudePosition(String longitudePosition) {
        this.longitudePosition = longitudePosition;
    }

    public String getLongitudePosition() {
        return longitudePosition;
    }

    public void setLatitudePosition(String latitudePosition) {
        this.latitudePosition = latitudePosition;
    }

    public String getLatitudePosition() {
        return latitudePosition;
    }

    public void setBand(double band) {
        this.band = band;
    }

    public double getBand() {
        return band;
    }
    
    public void setNewBand(double newBand) {
        this.newBand = newBand;
    }

    public double getNewBand() {
        return newBand;
    }

    public void setProjectionHeight(double projectionHeight) {
        this.projectionHeight = projectionHeight;
    }

    public double getProjectionHeight() {
        return projectionHeight;
    }

    public void setUtmX(Double utmX) {
        this.utmX = utmX;
    }

    public Double getUtmX() {
        return utmX;
    }

    public void setUtmY(Double utmY) {
        this.utmY = utmY;
    }

    public Double getUtmY() {
        return utmY;
    }

    public void setNewUtmX(Double newUtmX) {
        this.newUtmX = newUtmX;
    }

    public Double getNewUtmX() {
        return newUtmX;
    }

    public void setNewUtmY(Double newUtmY) {
        this.newUtmY = newUtmY;
    }

    public Double getNewUtmY() {
        return newUtmY;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pointNumber", getPointNumber())
                .append("coordinateSystem", getCoordinateSystem())
                .append("longitudePosition", getLongitudePosition())
                .append("latitudePosition", getLatitudePosition())
                .append("band", getBand())
                .append("utmX", getUtmX())
                .append("utmY", getUtmY())
                .append("newBand", getNewBand())
                .append("projectionHeight", getProjectionHeight())
                .append("newUtmX", getNewUtmX())
                .append("newUtmY", getNewUtmY())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}
